;;; config--pkg-headlice.el --- Generated package (no.20) from my config -*- lexical-binding: t; -*-
;;
;; Copyright (C) 2025 TEC
;;
;; Author: TEC <https://code.tecosaur.net/tec>
;; Maintainer: TEC <contact@tecosaur.net>
;; Created: April 17, 2025
;; Modified: April 17, 2025
;; Version: 2025.04.17
;; Homepage: https://code.tecosaur.net/tec/emacs-config
;; Package-Requires: ((emacs "29.1"))
;;
;; This file is not part of GNU Emacs.
;;
;;; Commentary:
;;
;;  Generated package (no.20) from my config.
;;
;;  During generation, dependency on other aspects of my configuration and
;;  packages is inferred via (regexp-based) static analysis.  While this seems
;;  to do a good job, this method is imperfect.  This code likely depends on
;;  utilities provided by Doom, and if you try to run it in isolation you may
;;  discover the code makes more assumptions.
;;
;;  That said, I've found pretty good results so far.
;;
;;  Package statement:
;;   (package! headlice :recipe (:local-repo "lisp/headlice"
;;                               :files (:defaults "licenses" "headers")))
;;
;;; Code:


(use-package! headlice
  :hook (prog-mode . headlice-auto-insert)
  :config
  (setq headlice-preferred-license 'mpl
        headlice-use-spdx-headers t
        headlice-ignored-licenses '(gpl-3)
        headlice-user-email "contact@tecosaur.net")
  (defalias '+file-templates/insert-license #'headlice-create-license))

(provide 'config--pkg-headlice)
;;; config--pkg-headlice.el ends here
